#include <iostream>
#include <duchamp/duchamp.hh>
#include <duchamp/fitsHeader.hh>
#include <duchamp/DataArrays/AstroImage.hh>
#include <duchamp/DataArrays/SmartMask.hh>

namespace duchamp
{

    template <class T>
    AstroImage<T>::AstroImage():
	itsHeader(0),itsMask(0)
    {
    }

    template <class T>
    AstroImage<T>::AstroImage(const AstroImage& other)
    {
	this->operator=(other);
    }

    template <class T>
    AstroImage<T>& AstroImage<T>::operator= (const AstroImage& other)
    {
	if (this == &other) return *this;
	this->itsHeader = other.itsHeader;
	this->itsMask = other.itsMask;
	return *this;
    }




}
