#include <duchamp/Finder/DuchampFinder.hh>

namespace duchamp
{
    
    DuchampFinder::DuchampFinder(const int argc, const char ** argv)
    {
	
    }

    DuchampFinder::DuchampFinder(const DuchampFinder& other)
    {
	this->operator=(other);
    }
   
    DuchampFinder& DuchampFinder::operator= (const DuchampFinder& other)
    {
	if(this == &other) return *this;
	this->itsHeader = other.itsHeader;
	this->itsParam = other.itsParam;
	this->itsStats = other.itsStats;
	this->itsImage = other.itsImage;
	this->itsRecon = other.itsRecon;
	this->itsBaselines = other.itsBaselines;
	this->itsSmartMask = other.itsSmartMask;
	this->itsDetectMap = other.itsDetectMap;
	this->itsCatalogue = other.itsCatalogue;
	return *this;
    }


    void DuchampFinder::readParams()
    {

    }

    void DuchampFinder::readHeader()
    {

    }

    void DuchampFinder::readData()
    {

    }

    
    void DuchampFinder::preprocess()
    {
	
	if(this->itsParam.getFlagNegative())    this->invert();
	if(this->itsParam.getFlagBaseline())    this->subtractBaselines();
	if(this->itsParam.getFlagATrous())      this->atrousRecon();
	else if(this->itsParam.getFlagSmooth()) this->smooth();

    }

    void DuchampFinder::invert()
    {
	float scale = -1.;
	this->itsImage *= scale;
	if(this->itsRecon.size()>0) this->itsRecon *= scale;

	for(size_t i=0;i<this->itsCatalogue.size();i++){
	    this->itsCatalogue(i).invert();
	}

    }

    void DuchampFinder::smooth()
    {

    }

    void DuchampFinder::atrousRecon()
    {

    }

    
    void DuchampFinder::subtractBaselines()
    {

    }


    void DuchampFinder::replaceBaselines()
    {

    }

    
    void DuchampFinder::readFromCatalogue()
    {

    }

    



}
